1

I was trying to install EPrints on my Ubuntu 20.04 desktop but it lacked the dependency package xpdf. I have tried multiple ways to install it but failed.

Could anyone please tell me how to install it .

0

You can manually download XPDF from 19.10 repository and install it with commands below:

cd ~/Downloads

wget http://es.archive.ubuntu.com/ubuntu/pool/main/p/poppler/libpoppler90_0.80.0-0ubuntu1.1_amd64.deb
sudo apt-get install ./libpoppler90_0.80.0-0ubuntu1.1_amd64.deb
wget http://archive.ubuntu.com/ubuntu/pool/universe/x/xpdf/xpdf_3.04-13ubuntu4_amd64.deb
sudo apt-get install ./xpdf_3.04-13ubuntu4_amd64.deb
| improve this answer | |
0

xpdf was dropped from Ubuntu after 19.10. It's upstream development has slowed, the Debian package maintainer lost interest, and much of the functionality was replaced (and improved) by poppler, which is in 20.04.

  1. Please file an upstream bug with eprints so they will change their dependency. That doesn't help you much today, but will make a huge difference in the future.

  2. Try using the the 19.10 xpdf package. It's not guaranteed, but much better than nothing.

| improve this answer | |
  • How is poppler used as a PDF viewer? Which is the command line application to replace xpdf? – Johny Jun 12 at 20:03

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.